package org.dromara.biz.service;

import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.Update;
import org.dromara.biz.domain.bo.StatDeptBo;
import org.dromara.biz.domain.vo.StatDeptVo;
import org.dromara.common.mybatis.core.page.PageQuery;
import org.dromara.common.mybatis.core.page.TableDataInfo;

import java.util.Collection;
import java.util.List;
import java.util.Map;

/**
 * 单位每日数据统计Service接口
 *
 * @author YIN
 * @date 2025-05-21
 */
public interface ICustomSQLService {


    Map selectOne(String sql);

    List<Map> selectList(String sql);

    int insertOne(String sql);

    int updateOne(String sql);

    int deleteOne(String sql);

}
